//import de.johoop.jacoco4sbt._
//import JacocoPlugin._

//import AssemblyKeys._


// General settings

name := "dl-pretty-printer"

organization := "de.tu-dresden.lat"

version := "0.3-SNAPSHOT"

scalaVersion := "2.12.6" //"2.11.6"

retrieveManaged := true // copy dependencies

publishMavenStyle := true

testOptions in Test := Seq(Tests.Argument(TestFrameworks.JUnit, "-a"))

// Dependencies

//resolvers += Resolver.file("localRepository", file("Ivy"))(Patterns("[organisation]/[module]/[revision]/[type]s/[artifact].[ext]"))

//resolvers += "BBOP repository" at "http://code.berkeleybop.org/maven/repository/"

// for unit tests
libraryDependencies += "org.scalatest" %% "scalatest" % "3.0.5" % Test
libraryDependencies += "com.novocode" % "junit-interface" % "0.11" % Test

//libraryDependencies += "org.scala-lang.modules" %% "scala-swing" % "2.1.1"
libraryDependencies += "org.scala-lang.modules" %% "scala-parser-combinators" % "1.1.0"


// logging related
libraryDependencies += "ch.qos.logback" % "logback-classic" % "1.2.3"
libraryDependencies += "com.typesafe.scala-logging" %% "scala-logging" % "3.9.2"

//libraryDependencies += "com.dongxiguo" %% "zero-log" % "0.4.0"

// libraryDependencies += "net.sourceforge.owlapi" % "owlapi-distribution" % "3.5.2"

libraryDependencies += "net.sourceforge.owlapi" % "owlapi-distribution" % "5.1.10"



// SBT-Assembly

//assemblySettings

assemblyJarName in assembly := name.value+"-standalone.jar" 

test in assembly := { }

// assemblyMergeStrategy in assembly := {
//   case PathList("net.sourceforge.owlapi", "owlapi-distribution", xs @
//       _*)         => MergeStrategy.first
//   case PathList(ps @ _*) if ps.last endsWith ".class" => MergeStrategy.first
// //  case PathList(ps @ _*) if ps.last endsWith ".html" => MergeStrategy.first
// //  case "application.conf"                            => MergeStrategy.concat
// //  case "unwanted.txt"                                =>
// //  MergeStrategy.discard
//   case "META-INF/axiom.xml" => MergeStrategy.first
//   case x =>
//     val oldStrategy = (assemblyMergeStrategy in assembly).value
//     oldStrategy(x)
// }

// Distribution

// distPath := file("dist")

// cleanDist <<= distPath map { path => IO.delete(path) }


// Publishing

//publishMavenStyle := false

//publishTo := Some(Resolver.file("localRepository", file("../../Ivy"))(Patterns("[organisation]/[module]/[revision]/[type]s/[artifact].[ext]")))


// consoleApplication task

// consoleApplicationPath <<= distPath / "consoleApplication"

// consoleApplication <<= consoleApplication.dependsOn(assembly in assembly)



// benchmark and experiments
//experimentSettings := file("benchmarkSettings.json")

scalacOptions in (Compile, doc) ++= Seq("-skip-packages", "uk.ac.man.cs.lethe.internal:uk.ac.man.cs.lethe.klappoExperiments")

lazy val root = project.in(file("."))//.configs(JavaDoc).settings(javadocSettings: _*)
